---
tags: ['verb-tag-jscomments']
---
# {%= name %} {%= badge("fury") %}

> {%= description %}

Useful for protecting tokens, like templates in HTML, from being mutated when the string is transformed in some way, like from a formatter/beautifier.

For example, say you want to use [js-beautify] on this string of html: `<ul><li><%= name %></li></ul>`:

**Without `preserve`**

The variable is now unusable, and the formatting is wrong.

```html
<ul>
  <li>
    <%=n ame %>
  </li>
</ul>
```

**With `preserve`**

Correct.

```html
<ul>
  <li><%= name %></li>
</ul>
```

For the record, this is just a random example, I've had very few issues with js-beautify in general. Poing being that with or without js-beautify, this kind of token mangling does happen sometimes when you use formatters, beautifiers or similar tools.

## Install
{%= include("install-npm", {save: true}) %}

## Run tests

```bash
npm test
```

## Usage

```js
var preserve = require('{%= name %}');

console.log(preserve('abc'));
```

## API
{%= jscomments("index.js") %}

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue]({%= bugs.url %})

## Author
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}

[js-beautify]: https://github.com/beautify-web/js-beautify